Page MenuHomeFreeBSD

Do not install xemacs elisp
ClosedPublic

Authored by jrm on Oct 14 2016, 2:09 AM.

Details

Summary

Do not install xemacs elisp

Test Plan

portlint -AC: OK
testport: OK (poudriere: 11.0-RELEASE-p1, amd64, default options)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 5711
Build 6006: arc lint + arc unit

Event Timeline

jrm updated this revision to Diff 21382.Oct 14 2016, 2:09 AM
jrm retitled this revision from to Use relative paths when creating symbolic links and remove empty post-stage target.
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)
jrm added reviewers: swills, AMDmi3, garga.
mat added a comment.Oct 14 2016, 7:00 AM

We have not had xemacs in the ports tree for about two years, and xemacs.org is now no longer available. Maybe instead of fixing the symlinks (which is a great thing) removing all the xemacs thingies from the ports tree would be better :-)

jrm updated this revision to Diff 21386.Oct 14 2016, 12:06 PM

Do not install elisp for xemacs

Updating D8247: Use relative paths when creating symbolic links and remove empty post-stage

target

jrm retitled this revision from Use relative paths when creating symbolic links and remove empty post-stage target to Do not install xemacs elisp.Oct 14 2016, 12:08 PM
jrm updated this object.
jrm updated this revision to Diff 21387.Oct 14 2016, 12:09 PM

..and update pkg-plist

garga requested changes to this revision.Oct 25 2016, 10:40 PM
garga edited edge metadata.

Please bump PORTREVISION

This revision now requires changes to proceed.Oct 25 2016, 10:40 PM
jrm updated this revision to Diff 21682.Oct 25 2016, 11:07 PM
jrm edited edge metadata.

Bump PORTREVISION

garga accepted this revision.Oct 26 2016, 9:34 AM
garga edited edge metadata.

Looks good

This revision is now accepted and ready to land.Oct 26 2016, 9:34 AM
swills accepted this revision.Oct 26 2016, 9:08 PM
swills edited edge metadata.

Approved

This revision was automatically updated to reflect the committed changes.